package ru.amse.baltijsky.javascheme.tree;

import ru.amse.baltijsky.javascheme.nodeshape.ActionNodeShape;
import ru.amse.baltijsky.javascheme.nodeshape.INodeShape;

public class ReturnNode extends FlowChangeNode {
    public ReturnNode() {
        super();
    }

    public ReturnNode(SchemaNode parentNode, SchemaNode prevNode) {
        super(parentNode, prevNode);
    }

    public ReturnNode(SchemaNode parentNode, SchemaNode prevNode, String[] s) {
        super(parentNode, prevNode, s);
    }

    public ReturnNode(String[] s) {
        super(s);
    }

    public NodeType getNodeType() {
        return NodeType.RETURN;
    }

    public INodeShape getShape() {
        return new ActionNodeShape(getCodeAsString());
    }
}
